Subject: emacsclient does not seem to work with --eval and relative directories

From: "Matzi Kratzi" <[email-masked]>
Date: Tue, 1 Jul 2008 06:47:59 +0200

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Hi,
I try to use emacsclient with --eval. First I open a file, and then I
intend to do more using elisp. I have however problems already to open
files if I use the "../filename"-syntax.

These commands is from my cmd.exe shell:
-----------
C:\>cd "Program Files\emacs-22.1\bin"

C:\Program Files\emacs-22.1\bin>emacsclient.exe --eval "(find-file
\"../README\")"
#<buffer README>

C:\Program Files\emacs-22.1\bin>emacsclient.exe --eval "(find-file
\"../README\")"
#<buffer README<2>>

C:\Program Files\emacs-22.1\bin>

-----------------
The second time I do not get to the README file in the emacs
distribution. Instead emacs tries to open a file README located in
"C:\Program Files\".

Is this intended? I find it strange.

Thanks
Mats

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
c:/Program Files/emacs-22.1/etc/DEBUG for instructions.

In GNU Emacs 22.1.1 (i386-mingw-nt6.0.6000)
 of 2007-06-02 on RELEASE
Windowing system distributor `Microsoft Corp.', version 6.0.6000
configured using `configure --with-gcc (3.4) --cflags -Ic:/gnuwin32/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: SVE
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  encoded-kbd-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
M-x s e r v e r - s t a r t <return> <lwindow> M-x
r e p o r t <tab> <return>

Recent messages:
("C:\\Program Files\\emacs-22.1\\bin\\emacs.exe" "-Q")
Loading encoded-kb...done
For information about the GNU Project and its goals, type C-h C-p.
Loading server...done
Loading pp...done
(New file)
Loading emacsbug...
Loading regexp-opt...done
Loading emacsbug...done